document.addEventListener('DOMContentLoaded', function() {
    // Mobile menu toggle
    const mobileMenu = () => {
        const nav = document.querySelector('.nav-links');
        const burger = document.createElement('div');
        burger.className = 'burger';
        burger.innerHTML = '☰';
        document.querySelector('nav').appendChild(burger);
        
        burger.addEventListener('click', () => {
            nav.style.display = nav.style.display === 'flex' ? 'none' : 'flex';
        });
    };

    // Profile card interactions
    const profileCards = document.querySelectorAll('.profile-card');
    profileCards.forEach(card => {
        card.addEventListener('click', () => {
            // Profile view logic
        });
    });

    // Form validation
    const form = document.querySelector('.registration-form form');
    if(form) {
        form.addEventListener('submit', (e) => {
            e.preventDefault();
            // Form validation and submission logic
            const formData = new FormData(form);
            // Add API call here
        });
    }

    // Filter functionality
    const filters = document.querySelectorAll('.filter-group select, .filter-group input');
    filters.forEach(filter => {
        filter.addEventListener('change', () => {
            // Filter profiles logic
        });
    });

    // Initialize mobile menu
    if(window.innerWidth <= 768) {
        mobileMenu();
    }
});
